Psn titles work in Pro 6.35 A ?

Discussion in 'PSP - Hacking & Homebrew' started by kazekun, Jul 8, 2011.

Jul 8, 2011
  1. kazekun
    OP

    Member kazekun GBAtemp Regular

    Joined:
    Nov 11, 2009
    Messages:
    182
    Country:
    Portugal
    I need some help, yesterday some peeps here told me that sincei have firmware 6.35 pro -a i cant run psx eboots because the emulator atm is not compatible with this firmware but for what i understood i would be fine with the PS1 classic titles, so i downloaded final fantasy 9 but when i log in it i get error saying "not possible to start game" (80010002) " Anyone can help me with this ?

    ( I am putting the game on the right folders i think, i see it on the psp, and yea i am sure its a psn title, because on the info it says so)
     
  2. ars25

    Member ars25 I like tacos and pie

    Joined:
    Oct 21, 2010
    Messages:
    800
    Location:
    the world that never was
    Country:
    United States
    update to pro b8 and see if it works
     
  3. nl255

    Member nl255 GBAtemp Advanced Maniac

    Joined:
    Apr 9, 2004
    Messages:
    1,995
    Country:
    The PSN versions of PSX games require that the right keys.bin file is present (this file is different for each game). This file is generated when the person who purchased the game first plays it on CFW. Basically, when someone purchases a PSN classic and runs it, the CFW dumps the decryption key and stores it as keys.bin. Eboots that you convert yourself use either a static key (from hot shots golf 2) or no key (possibly a dummy key?) but PSN classics all use different keys.
     
  4. kazekun
    OP

    Member kazekun GBAtemp Regular

    Joined:
    Nov 11, 2009
    Messages:
    182
    Country:
    Portugal
    hum, no idea how to update firmware is it easy ? and 2 Can i simply forge a keys.bin to make it work with cfw, and more importantly, if i buy a game and run it without cfw will it work ?
    Well most people will not be cheking this post anymore so i gona creat a new one asking help to upgrade my psp go to 6.39 pro-b7
     
  5. nl255

    Member nl255 GBAtemp Advanced Maniac

    Joined:
    Apr 9, 2004
    Messages:
    1,995
    Country:
    First, if you are still on 6.35 Pro-A, you should backup your act.dat file (it is either in flash2 or flash3) and update to 6.35 Pro-B7 or B8. I don't think Pro-A has pops support. As for upgrading, just uninstall Pro-A and then install Pro-B8. The easiest way to uninstall is to upgrade to 6.39 and then use the downgrader to go to 6.35 or 6.20 (the downgrader has failsafes that will not let you downgrade to 6.20 if your PSP can't handle it, just be sure your battery is charged and PSP is plugged in). Both the downgrader and (newer) Pro firmwares are signed, so there is no messing with save exploits anymore. Just download, stick the folders (proupdate, fastboot) in PSP/GAME, and run it.


    -- keys.bin and PSN info --
    The keys.bin file lets you run a PSN classic (PSN versions, not converted ISOs) on a PSP other than the one that purchased it. If you bought and downloaded it from PSN yourself (say, on a PS3 or PC with MediaGo) then it will run (and if you are on CFW, create keys.bin). If you downloaded it from another source then you will need the keys.bin for that game to work. Basically, keys.bin lets you run a PSN classic game without having to activate it first.
     
  6. kazekun
    OP

    Member kazekun GBAtemp Regular

    Joined:
    Nov 11, 2009
    Messages:
    182
    Country:
    Portugal
    Well i aint really interested in upgrading the psp itself, just the software, i would be happy with 6.35 pro-B if it runs Psx games, since my psp is alredy on 6.35-A cant i just erase the CFW and install 6.35-B7 ?
    Would i still have to back up anything ? Or i just have to uninstall 6.35 -A, put B inside psp and run it ?

    I own PSP go by what i was told all psp go are the same and not the hardest models to hack, what is the best path i should pick ?
     
  7. Nathan Drake

    Member Nathan Drake Obligations fulfilled, now I depart.

    Joined:
    Jan 2, 2011
    Messages:
    6,192
    Country:
    Antarctica
    Haha, PSP Go was actually the most difficult model to crack open for hacks. The 3000 also took some time before CFW could reach the point it's at. Upgrade to PRO-B8. It has popsloader support, so custom EBOOT's and such will work wonderfully. You'll have to make it a point to find the popsloader pack for 6.xx CFW on your own though, as the file itself contains a few copyrighted files, thus, we can't link to even the fine forum it is hosted on. Googling popsloader pack should give you a subheading under the first link that will be what you want.

    For upgrading from PRO-A to PRO-B8, I can't say. If it works like other PRO firmwares at this point, you should just be able to run the installer for PRO-A, and uninstall it that way. I mean, if you REALLY want to be safe, you could always use Hellcat's Recovery Flasher.

    Edit: Herp derp, we talk about the Go, then I forget about it.
     
  8. nl255

    Member nl255 GBAtemp Advanced Maniac

    Joined:
    Apr 9, 2004
    Messages:
    1,995
    Country:
    WARNING: Hellcat's flasher only works with Pandora compatible PSPs (1000s and most 2000s). The easiest way to be safe is to upgrade to 6.39 OFW and then use the 6.39 downgrader. Also, if you can go to 6.20 then you can make the CFW permanent even on the Go or 3000 models.
     
  9. Nathan Drake

    Member Nathan Drake Obligations fulfilled, now I depart.

    Joined:
    Jan 2, 2011
    Messages:
    6,192
    Country:
    Antarctica
    Haha, woops. I type about the Go earlier on, then totally forget about it later. Information amended.
     
  10. kazekun
    OP

    Member kazekun GBAtemp Regular

    Joined:
    Nov 11, 2009
    Messages:
    182
    Country:
    Portugal
    This is all a bit complicated for me ^^", i am defenitivly interested in putting my psp on any firmware that can run psx games, since those are the games of my old days and that i dearly miss, but at same time i am afraid to make shit [​IMG] seing as the psp is brand new, and i understand little of the hacks on psp

    If any of you volunters to babysit me trough update i will send my contact infos trough Pm ^^"
     
  11. Narayan

    Member Narayan desu~

    Joined:
    Sep 29, 2010
    Messages:
    2,921
    Country:
    Philippines
    since you're discussing about psx eboots, and i'm planning to play some,

    i'm very new to the psp, and i have 6.39 PRO B7, on psp 3000. it was already installed when i bought it. so i don't know much about CFW, just read through guides here in the temp, but no actual experience. but i'll manage. i only want these answered.

    1. only PRO B8 can play psx eboots?

    2. do i need to install something else after i install B8?
     
  12. Nathan Drake

    Member Nathan Drake Obligations fulfilled, now I depart.

    Joined:
    Jan 2, 2011
    Messages:
    6,192
    Country:
    Antarctica
    PRO-B8 is the only stable build of PRO with popsloader support. The pack you need can be found through instructions earlier on in this thread. Just install PRO-B8, and where you find the popsloader pack for 6.xx, there should be a tutorial on getting it to work.
     
  13. kazekun
    OP

    Member kazekun GBAtemp Regular

    Joined:
    Nov 11, 2009
    Messages:
    182
    Country:
    Portugal
    Well since we are at this, can anyone indicate me any website where i can get the official firmware to go from 6.35 to 6.39 European version i cheked the guides here in gba temp but it says its for Us?
    Also, since i have a psp go, and for what i heard all psp gos have a 5g hardware its safe to assume i can downgrade my psp to 6.20 without bricking right ?
     
  14. Nathan Drake

    Member Nathan Drake Obligations fulfilled, now I depart.

    Joined:
    Jan 2, 2011
    Messages:
    6,192
    Country:
    Antarctica
    6.20 is a supported firmware by the PSP Go, so that shouldn't be an issue.

    If I'm not mistaken, the PSP firmware has no region. It is just sort of straight, PSP firmware. I would assume that's why the firmware, regardless, contains many language options.
     
  15. kazekun
    OP

    Member kazekun GBAtemp Regular

    Joined:
    Nov 11, 2009
    Messages:
    182
    Country:
    Portugal
    all done! updated to 6.39 pro b8, my psx games are working! thanks everyone.
     
  16. DarkStriker

    Member DarkStriker GBAtemp's Kpop lover!

    Joined:
    Mar 15, 2009
    Messages:
    1,957
    Location:
    NIKU!
    Country:
    Norway
    1. All version can play PSN tittles from the Store, but only PRO B8 supports popsloader which is used to play other non PSN tittles that is converted from PSX iso to a EBOOT.
    2. Well you simply run the installer and while u install HOLD L+X to update it.
    You need the popsloader plugin or something? Havent used popsloader for ages. There should be a popsloader in coldbirds google docs website avaible for download that works for the Pro-b8 if im not mistaken.
     
  17. xist

    Member xist ΚΑΤΑ ΤΟΝ ΔΑΙΜΟΝΑ ΕΑΥΤΟΥ

    Joined:
    Jul 14, 2008
    Messages:
    5,861
    Country:
    United Kingdom
    Nope.....the very first releases of PRO didn't support PSX at all.
     
  18. DarkStriker

    Member DarkStriker GBAtemp's Kpop lover!

    Joined:
    Mar 15, 2009
    Messages:
    1,957
    Location:
    NIKU!
    Country:
    Norway
    I meant from Pro-B and on.. I dont know about Pro-A but im pretty sure all the Pro-B could run PSX tittles from the PSN store.
     

Share This Page